/*
 * Created on 10-mag-2003
 */
package it.uniba.di.dme.gui;

import java.awt.BorderLayout;

import javax.swing.JPanel;


/**
 * this class allows to create a panel containig something in its center and something else as label in the upper part of the panel
 * @author Ignazio Palmisano
 */
public class LabelledPanel extends JPanel {
	/**the panel at the label*/
	private JPanel theLabel;

	/**the panel at the center*/
	private JPanel theCenter;

	/**
	 * Creates a new LabelledPanel object.
	 */
	public LabelledPanel() {
		this(0, 0);
	}

	/**
	 * Creates a new LabelledPanel object.
	 *
	 * @param hgap horizontal gap
	 * @param vgap vertical gap
	 */
	public LabelledPanel(int hgap, int vgap) {
		super();
		this.theLabel = new JPanel();
		this.theCenter = new JPanel();
		this.setLayout(new BorderLayout(hgap, vgap));
		this.add(this.theLabel, BorderLayout.NORTH);
		this.add(this.theCenter);
	}

	/**
	 * @return the center panel
	 */
	public JPanel getCenter() {
		return this.theCenter;
	}

	/**
	 * @return the label panel
	 */
	public JPanel getLabel() {
		return this.theLabel;
	}
}
